> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline distribution of open conversations

> Returns the distribution of open conversations across different pipelines



## OpenAPI

````yaml /openapi.json get /api/analytics/team/snapshot/pipeline-distribution
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/analytics/team/snapshot/pipeline-distribution:
    get:
      tags:
        - Team Analytics
      summary: Get pipeline distribution of open conversations
      description: >-
        Returns the distribution of open conversations across different
        pipelines
      operationId: GetSnapshotTeamAnalyticsController_getPipelineDistribution
      parameters:
        - name: agentIds
          required: false
          in: query
          description: Optional array of agent IDs to filter by specific agents
          schema:
            example:
              - agent-id-1
              - agent-id-2
            type: array
            items:
              type: string
        - name: pipelineId
          required: false
          in: query
          description: Optional pipeline ID to filter by specific pipeline
          schema:
            example: pipeline-id-1
            type: string
        - name: stageIds
          required: false
          in: query
          description: Optional array of stage IDs to filter by specific stages
          schema:
            example:
              - stage-id-1
              - stage-id-2
            type: array
            items:
              type: string
        - name: hideArchived
          required: false
          in: query
          description: Optional boolean to filter by archived conversations
          schema:
            type: boolean
            example: true
        - name: hideUnassigned
          required: true
          in: query
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved pipeline distribution
          content:
            application/json:
              schema:
                type: object
                properties:
                  pipelineDistribution:
                    type: array
                    items:
                      type: object
                      properties:
                        pipeline_id:
                          type: string
                          description: Pipeline ID
                          example: pipeline-123
                        pipeline_name:
                          type: string
                          description: Pipeline name
                          example: Sales Pipeline
                        count:
                          type: number
                          description: Number of open conversations in this pipeline
                          example: 25

````